
CREATE TABLE Andmebaas (
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  serveriAadress VARCHAR(45) NULL,
  nimi VARCHAR(100) NULL,
  kirjeldus VARCHAR(100) NULL,
  kasutajanimi VARCHAR(45) NULL,
  parool VARCHAR(20) NULL,
  baasityyp ENUM('l2htebaas','andmeladu','andmekuup') NULL,
  PRIMARY KEY(id)
);

CREATE TABLE Tabel (
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  andmebaas_id INTEGER UNSIGNED NOT NULL,
  nimi VARCHAR(45) NULL,
  PRIMARY KEY(id),
  INDEX Tabel_FKIndex1(andmebaas_id),
  FOREIGN KEY(andmebaas_id)
    REFERENCES Andmebaas(id)
      ON DELETE CASCADE
      ON UPDATE CASCADE
);

CREATE TABLE Andmekuup (
  andmekuup_id INTEGER UNSIGNED NOT NULL,
  andmeladu_id INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(andmekuup_id, andmeladu_id),
  INDEX Andmebaas_has_Andmebaas_FKIndex1(andmeladu_id),
  INDEX Andmebaas_has_Andmebaas_FKIndex2(andmekuup_id),
  FOREIGN KEY(andmeladu_id)
    REFERENCES Andmebaas(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION,
  FOREIGN KEY(andmekuup_id)
    REFERENCES Andmebaas(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
);

CREATE TABLE Andmeladu (
  l2htebaas_id INTEGER UNSIGNED NOT NULL,
  andmeladu_id INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(l2htebaas_id, andmeladu_id),
  INDEX Andmebaas_has_Andmebaas_FKIndex1(l2htebaas_id),
  INDEX Andmebaas_has_Andmebaas_FKIndex2(andmeladu_id),
  FOREIGN KEY(l2htebaas_id)
    REFERENCES Andmebaas(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION,
  FOREIGN KEY(andmeladu_id)
    REFERENCES Andmebaas(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
);

CREATE TABLE Atribuut (
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  seotud_atribuut_id INTEGER UNSIGNED NULL,
  tabel_id INTEGER UNSIGNED NOT NULL,
  nimi VARCHAR(45) NULL,
  tyyp TEXT NULL,
  yldtyyp VARCHAR(45) NULL,
  fakt ENUM('tavaline','dimensioon','m66dik') NULL,
  primaarneV6ti BIT NULL,
  unikaalneV6ti BIT NULL,
  multiV6ti BIT NULL,
  polenull BIT NULL,
  eriKirjeid INTEGER UNSIGNED NULL,
  PRIMARY KEY(id),
  INDEX Atribuut_FKIndex1(tabel_id),
  FOREIGN KEY(tabel_id)
    REFERENCES Tabel(id)
      ON DELETE CASCADE
      ON UPDATE CASCADE
);

CREATE TABLE Hierarhia (
  id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  atribuut_id INTEGER UNSIGNED NOT NULL,
  tyyp ENUM('number','k2sitsi','aeg') NULL,
  parameeter VARCHAR(45) NULL,
  PRIMARY KEY(id),
  INDEX Hierarhia_FKIndex1(atribuut_id),
  FOREIGN KEY(atribuut_id)
    REFERENCES Atribuut(id)
      ON DELETE NO ACTION
      ON UPDATE NO ACTION
);


