-- MySQL dump 10.8
--
-- Host: localhost    Database: market
-- ------------------------------------------------------
-- Server version	4.1.7-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `klient`
--

DROP TABLE IF EXISTS `klient`;
CREATE TABLE `klient` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `nimi` varchar(45) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `klient`
--


/*!40000 ALTER TABLE `klient` DISABLE KEYS */;
LOCK TABLES `klient` WRITE;
INSERT INTO `klient` VALUES (1,'Mati Maasikas'),(2,'Pille Pohl'),(3,'Kati Kirss'),(4,'Tiiu Tikker'),(5,'Mari Mustikas'),(6,'Kusti Kibuvits'),(7,'Meelis Murakas'),(8,'Luule Leesikas'),(9,'Kalle Karusmari'),(10,'Varmo Vaarikas');
UNLOCK TABLES;
/*!40000 ALTER TABLE `klient` ENABLE KEYS */;

--
-- Table structure for table `ostukorv`
--

DROP TABLE IF EXISTS `ostukorv`;
CREATE TABLE `ostukorv` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `klient_id` int(10) unsigned NOT NULL default '0',
  `aeg` datetime default NULL,
  `summa` float default NULL,
  PRIMARY KEY  (`id`),
  KEY `ostukorv_FKIndex1` (`klient_id`),
  CONSTRAINT `ostukorv_ibfk_1` FOREIGN KEY (`klient_id`) REFERENCES `klient` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ostukorv`
--


/*!40000 ALTER TABLE `ostukorv` DISABLE KEYS */;
LOCK TABLES `ostukorv` WRITE;
INSERT INTO `ostukorv` VALUES (1,5,'2004-11-30 13:37:00',27.5),(2,2,'2004-11-29 14:50:15',44.4),(3,8,'2004-12-05 12:23:45',41.9),(4,1,'2004-12-02 18:33:33',88.95),(5,9,'2004-12-02 10:15:23',36.7),(6,4,'2004-12-05 15:34:22',85.8),(7,3,'2004-12-04 14:34:32',98.5),(8,6,'2004-12-04 13:37:11',61.9),(9,6,'2004-12-03 19:34:00',42.7),(10,7,'2004-12-03 20:14:22',57.5),(11,10,'2004-12-01 19:34:33',71.6),(12,1,'2004-11-30 16:45:43',96),(13,2,'2004-12-04 18:45:00',75),(14,3,'2004-12-05 10:00:00',38.5),(15,4,'2004-12-01 14:00:00',99.3),(16,5,'2004-12-03 21:00:00',52.25),(17,7,'2004-12-02 20:01:22',68.3),(18,8,'2004-12-01 15:00:00',43),(19,9,'2004-11-29 14:44:23',43.2),(20,10,'2004-12-03 15:31:33',38.8),(21,1,'2004-12-03 15:15:32',63.4),(22,2,'2004-12-03 13:00:00',61.4),(23,3,'2004-11-29 15:12:22',59.2),(24,4,'2004-12-02 15:00:00',36.4),(25,5,'2004-11-29 13:33:23',88.85),(26,6,'2004-12-02 11:23:56',83.8),(27,7,'2004-12-04 15:23:31',76.9),(28,8,'2004-12-03 17:27:47',146),(29,10,'2004-12-02 18:46:42',73.7),(30,9,'2004-11-30 17:15:00',66.7),(31,3,'2004-12-01 16:34:12',66.3),(32,2,'2004-11-30 17:23:00',34),(33,6,'2004-12-02 21:12:34',22.75),(34,7,'2004-12-01 12:00:00',56.8),(35,10,'2004-12-05 15:23:33',25.5),(36,1,'2004-12-05 14:00:23',102.9),(37,8,'2004-11-30 13:15:00',100.7),(38,5,'2004-12-02 20:30:20',50.6),(39,10,'2004-11-30 12:23:23',88),(40,2,'2004-12-02 15:23:00',32.3),(41,1,'2004-12-02 14:24:00',44.8),(42,4,'2004-11-30 17:23:22',66),(43,5,'2004-12-30 16:24:44',36.05),(44,6,'2004-12-05 18:30:23',51),(45,9,'2004-12-03 20:30:40',28.5);
UNLOCK TABLES;
/*!40000 ALTER TABLE `ostukorv` ENABLE KEYS */;

--
-- Table structure for table `tarnija`
--

DROP TABLE IF EXISTS `tarnija`;
CREATE TABLE `tarnija` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `nimi` varchar(45) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tarnija`
--


/*!40000 ALTER TABLE `tarnija` DISABLE KEYS */;
LOCK TABLES `tarnija` WRITE;
INSERT INTO `tarnija` VALUES (1,'Leibur'),(2,'Meieri'),(3,'Cibus'),(4,'Kalev'),(5,'Rakvere lihakombinaat'),(6,'A. Le Coq');
UNLOCK TABLES;
/*!40000 ALTER TABLE `tarnija` ENABLE KEYS */;

--
-- Table structure for table `toode`
--

DROP TABLE IF EXISTS `toode`;
CREATE TABLE `toode` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `tarnija_id` int(10) unsigned NOT NULL default '0',
  `nimi` varchar(45) default NULL,
  PRIMARY KEY  (`id`),
  KEY `toode_FKIndex1` (`tarnija_id`),
  CONSTRAINT `toode_ibfk_1` FOREIGN KEY (`tarnija_id`) REFERENCES `tarnija` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `toode`
--


/*!40000 ALTER TABLE `toode` DISABLE KEYS */;
LOCK TABLES `toode` WRITE;
INSERT INTO `toode` VALUES (1,1,'Tallina peenleib'),(2,1,'Kirde sai'),(3,1,'Tera-Timmu'),(4,1,'Porgandi-Pille'),(5,2,'Meieri piim 2,5%'),(6,2,'Meieri piim 3,5%'),(7,2,'Haps'),(8,2,'Biojogurt'),(9,2,'Kohupiimakreem'),(10,2,'Võidel'),(11,2,'Meieri keefir'),(12,3,'Mardi teraleib'),(13,3,'Pärnu leib'),(14,3,'Lahe sai'),(15,4,'Anneke'),(16,4,'Nurr'),(17,4,'Tiina kommid'),(18,4,'Sonja kommid'),(19,5,'Juustuviiner'),(20,5,'Rakvere viiner'),(21,5,'Rakvere maksapasteet'),(22,5,'Lastevorst'),(23,5,'Doktorivorst'),(24,5,'Järlepa sült'),(25,6,'A. Le Coq Premium'),(26,6,'Tõmmu Hiid'),(27,6,'Fizz Apple'),(28,6,'Limonaad Maasika-Banaani'),(29,6,'Fizz Perry'),(30,6,'Aura Ice T rohelise tee jook'),(31,6,'ACE apelsin-melon'),(32,6,'AURA apelsinimahl'),(33,6,'AURA tomatimahl'),(34,6,'AURA Plus pohla (vesi)'),(35,6,'Värska vesi');
UNLOCK TABLES;
/*!40000 ALTER TABLE `toode` ENABLE KEYS */;

--
-- Table structure for table `tooteost`
--

DROP TABLE IF EXISTS `tooteost`;
CREATE TABLE `tooteost` (
  `toode_id` int(10) unsigned NOT NULL default '0',
  `ostukorv_id` int(10) unsigned NOT NULL default '0',
  `hind` float default NULL,
  `kogus` int(10) unsigned default NULL,
  PRIMARY KEY  (`toode_id`,`ostukorv_id`),
  KEY `klient_has_toode_FKIndex2` (`toode_id`),
  KEY `klient_has_toode_FKIndex3` (`ostukorv_id`),
  CONSTRAINT `tooteost_ibfk_1` FOREIGN KEY (`toode_id`) REFERENCES `toode` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `tooteost_ibfk_2` FOREIGN KEY (`ostukorv_id`) REFERENCES `ostukorv` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tooteost`
--


/*!40000 ALTER TABLE `tooteost` DISABLE KEYS */;
LOCK TABLES `tooteost` WRITE;
INSERT INTO `tooteost` VALUES (1,4,9.3,1),(1,11,9.3,1),(1,12,9.3,1),(1,21,9.3,1),(1,31,9.3,2),(1,41,9.3,1),(2,7,5.6,2),(2,13,5.6,2),(2,22,5.6,1),(2,26,5.6,1),(2,32,5.6,1),(2,42,5.6,1),(3,1,6.3,1),(3,17,6.3,1),(3,24,6.3,2),(3,28,6.3,1),(3,33,6.3,1),(3,34,6.3,2),(3,43,6.3,2),(4,10,7,1),(4,15,7,1),(4,24,7,2),(4,29,7,1),(4,35,7,2),(4,44,7,1),(5,6,6.2,2),(5,12,6.2,1),(5,19,6.2,2),(5,21,6.2,1),(5,30,6.2,1),(5,35,6.2,1),(5,45,6.2,1),(6,7,7.6,1),(6,15,7.6,2),(6,23,7.6,1),(6,26,7.6,1),(6,31,7.6,2),(6,41,7.6,1),(7,7,14.2,1),(7,9,14.2,1),(7,13,14.2,1),(7,28,14.2,2),(7,32,14.2,2),(7,42,14.2,2),(8,4,16.45,1),(8,16,16.45,1),(8,25,16.45,1),(8,27,16.45,2),(8,33,16.45,1),(8,43,16.45,1),(9,5,5.6,3),(9,11,5.6,4),(9,14,5.6,2),(9,19,5.6,1),(9,25,5.6,1),(10,4,8.5,1),(10,12,8.5,1),(10,22,8.5,1),(10,28,8.5,2),(10,34,8.5,2),(10,44,8.5,2),(11,6,6.3,1),(11,13,6.3,2),(11,17,6.3,1),(11,23,6.3,1),(11,31,6.3,1),(12,5,9.9,1),(12,22,9.9,1),(12,28,9.9,2),(12,30,9.9,1),(12,34,9.9,2),(12,45,9.9,1),(13,8,7.4,2),(13,14,7.4,1),(13,21,7.4,1),(13,26,7.4,2),(13,34,7.4,1),(13,41,7.4,2),(14,8,5.3,1),(14,20,5.3,1),(14,21,5.3,2),(14,29,5.3,1),(14,35,5.3,1),(14,36,5.3,1),(15,6,8.5,2),(15,12,8.5,2),(15,27,8.5,1),(15,30,8.5,2),(15,37,8.5,1),(15,42,8.5,2),(16,2,9.8,2),(16,16,9.8,1),(16,24,9.8,1),(16,28,9.8,2),(16,38,9.8,2),(17,3,15.6,1),(17,6,15.6,1),(17,25,15.6,1),(17,26,15.6,2),(17,39,15.6,1),(18,10,15,1),(18,15,15,1),(18,22,15,1),(18,28,15,1),(18,40,15,1),(18,42,15,1),(19,3,26.3,1),(19,15,26.3,1),(19,23,26.3,1),(19,30,26.6,1),(19,36,26.3,2),(20,10,35.5,1),(20,12,35.5,1),(20,18,35.5,1),(20,27,35.5,1),(20,37,35.5,2),(21,7,11.5,1),(21,13,11.5,2),(21,20,11.5,1),(21,26,11.5,1),(21,38,11.5,1),(22,6,12.4,1),(22,7,12.4,1),(22,8,12.4,1),(22,14,12.4,1),(22,25,12.4,2),(22,39,12.4,2),(23,11,12.6,2),(23,21,12.6,1),(23,22,12.6,1),(23,28,12.6,2),(23,36,12.6,2),(23,44,12.6,1),(24,5,10,1),(24,17,10,2),(24,25,10,2),(24,29,10,1),(24,36,10,1),(24,38,10,1),(25,4,9.5,2),(25,9,9.5,3),(25,17,9.5,1),(25,23,9.5,2),(25,38,9.5,1),(25,44,9.5,1),(26,1,8.1,1),(26,6,8.1,1),(26,15,8.1,2),(26,29,8.1,3),(26,37,8.1,1),(27,7,9.8,2),(27,11,9.8,1),(27,16,8.1,2),(27,21,9.8,1),(27,28,9.8,1),(27,40,9.8,1),(28,4,6.4,2),(28,12,6.4,1),(28,19,6.4,2),(28,25,6.4,1),(28,39,6.4,1),(29,4,9.8,1),(29,8,9.8,3),(29,15,9.8,2),(29,22,9.8,1),(29,29,9.8,2),(29,36,9.8,1),(30,7,7.5,2),(30,18,7.5,1),(30,20,7.5,2),(30,21,7.5,1),(30,40,7.5,1),(31,2,7.5,2),(31,14,7.5,1),(31,19,7.5,1),(31,29,7.5,1),(31,39,7.5,2),(31,45,7.5,1),(32,1,13.1,1),(32,12,13.1,1),(32,26,13.1,1),(32,37,13.1,1),(32,39,13.1,2),(33,4,13.1,1),(33,17,13.1,2),(33,31,13.1,2),(33,41,13.1,1),(33,45,4.9,1),(34,2,4.9,2),(34,11,4.9,1),(34,16,4.9,2),(34,19,4.9,1),(34,28,4.9,1),(34,44,4.9,1),(35,6,7,2),(35,7,7,1),(35,13,7,2),(35,20,7,1),(35,30,7,1),(35,43,7,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `tooteost` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

