-- MySQL dump 10.8
--
-- Host: localhost    Database: Testmarket
-- ------------------------------------------------------
-- Server version	4.1.7-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `klient`
--

DROP TABLE IF EXISTS `klient`;
CREATE TABLE `klient` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `nimi` varchar(45) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `klient`
--


/*!40000 ALTER TABLE `klient` DISABLE KEYS */;
LOCK TABLES `klient` WRITE;
INSERT INTO `klient` VALUES (1,'Mati Maasikas'),(2,'Pille Pohl'),(3,'Kati Kirss'),(4,'Tiiu Tikker'),(5,'Mari Mustikas'),(6,'Kusti Kibuvits'),(7,'Meelis Murakas'),(8,'Luule Leesikas'),(9,'Kalle Karusmari'),(10,'Varmo Vaarikas');
UNLOCK TABLES;
/*!40000 ALTER TABLE `klient` ENABLE KEYS */;

--
-- Table structure for table `ostukorv`
--

DROP TABLE IF EXISTS `ostukorv`;
CREATE TABLE `ostukorv` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `klient_id` int(10) unsigned NOT NULL default '0',
  `aeg` datetime default NULL,
  `summa` float default NULL,
  PRIMARY KEY  (`id`),
  KEY `ostukorv_FKIndex1` (`klient_id`),
  CONSTRAINT `ostukorv_ibfk_1` FOREIGN KEY (`klient_id`) REFERENCES `klient` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ostukorv`
--


/*!40000 ALTER TABLE `ostukorv` DISABLE KEYS */;
LOCK TABLES `ostukorv` WRITE;
INSERT INTO `ostukorv` VALUES (1,5,'2004-11-30 13:37:00',6.3),(2,2,'2004-11-29 14:50:15',9.8),(3,8,'2004-12-01 12:23:45',26.3),(4,1,'2004-12-01 18:33:33',35.25),(5,9,'2004-12-02 10:15:23',25.5),(6,4,'2004-12-05 15:34:22',49),(7,3,'2004-12-04 14:34:32',51.3),(8,6,'2004-12-04 13:37:11',25.1),(9,6,'2004-12-03 19:34:00',14.2),(10,7,'2004-12-02 20:14:22',57.5),(11,10,'2004-12-03 19:34:33',27.5);
UNLOCK TABLES;
/*!40000 ALTER TABLE `ostukorv` ENABLE KEYS */;

--
-- Table structure for table `tarnija`
--

DROP TABLE IF EXISTS `tarnija`;
CREATE TABLE `tarnija` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `nimi` varchar(45) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tarnija`
--


/*!40000 ALTER TABLE `tarnija` DISABLE KEYS */;
LOCK TABLES `tarnija` WRITE;
INSERT INTO `tarnija` VALUES (1,'Leibur'),(2,'Meieri'),(3,'Cibus'),(4,'Kalev'),(5,'Rakvere lihakombinaat');
UNLOCK TABLES;
/*!40000 ALTER TABLE `tarnija` ENABLE KEYS */;

--
-- Table structure for table `toode`
--

DROP TABLE IF EXISTS `toode`;
CREATE TABLE `toode` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `tarnija_id` int(10) unsigned NOT NULL default '0',
  `nimi` varchar(45) default NULL,
  PRIMARY KEY  (`id`),
  KEY `toode_FKIndex1` (`tarnija_id`),
  CONSTRAINT `toode_ibfk_1` FOREIGN KEY (`tarnija_id`) REFERENCES `tarnija` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `toode`
--


/*!40000 ALTER TABLE `toode` DISABLE KEYS */;
LOCK TABLES `toode` WRITE;
INSERT INTO `toode` VALUES (1,1,'Tallina peenleib'),(2,1,'Kirde sai'),(3,1,'Tera-Timmu'),(4,1,'Porgandi-Pille'),(5,2,'Meieri piim 2,5%'),(6,2,'Meieri piim 3,5%'),(7,2,'Haps'),(8,2,'Biojogurt'),(9,2,'Kohupiimakreem'),(10,2,'Võidel'),(11,2,'Meieri keefir'),(12,3,'Mardi teraleib'),(13,3,'Pärnu leib'),(14,3,'Lahe sai'),(15,4,'Anneke'),(16,4,'Nurr'),(17,4,'Tiina kommid'),(18,4,'Sonja kommid'),(19,5,'Juustuviiner'),(20,5,'Rakvere viiner'),(21,5,'Rakvere maksapasteet'),(22,5,'Lastevorst'),(23,5,'Doktorivorst'),(24,5,'Järlepa sült');
UNLOCK TABLES;
/*!40000 ALTER TABLE `toode` ENABLE KEYS */;

--
-- Table structure for table `tooteost`
--

DROP TABLE IF EXISTS `tooteost`;
CREATE TABLE `tooteost` (
  `toode_id` int(10) unsigned NOT NULL default '0',
  `ostukorv_id` int(10) unsigned NOT NULL default '0',
  `hind` float default NULL,
  `kogus` int(10) unsigned default NULL,
  PRIMARY KEY  (`toode_id`,`ostukorv_id`),
  KEY `klient_has_toode_FKIndex2` (`toode_id`),
  KEY `klient_has_toode_FKIndex3` (`ostukorv_id`),
  CONSTRAINT `tooteost_ibfk_1` FOREIGN KEY (`toode_id`) REFERENCES `toode` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `tooteost_ibfk_2` FOREIGN KEY (`ostukorv_id`) REFERENCES `ostukorv` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tooteost`
--


/*!40000 ALTER TABLE `tooteost` DISABLE KEYS */;
LOCK TABLES `tooteost` WRITE;
INSERT INTO `tooteost` VALUES (1,4,9.3,1),(1,11,9.3,1),(2,7,5.6,2),(3,1,6.3,1),(4,10,7,1),(5,6,6.2,2),(6,7,7.6,1),(7,7,14.2,1),(7,9,14.2,1),(8,4,16.45,1),(9,5,5.6,3),(9,11,5.6,4),(10,4,8.5,1),(11,6,6.3,1),(12,5,9.9,1),(13,8,7.4,2),(14,8,5.3,1),(15,6,8.5,2),(16,2,9.8,2),(17,6,15.6,1),(18,10,15,1),(19,3,26.3,1),(20,10,35.5,1),(21,7,11.5,1),(22,6,12.4,1),(22,7,12.4,1),(22,8,12.4,1),(23,11,12.6,2),(24,5,10,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `tooteost` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

